| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
FollowStreamText Class Reference

A custom plain text edit widget for displaying followed stream data. More...

`#include <follow_stream_text.h>`

Inheritance diagram for FollowStreamText:

## Public Slots
void | clear ()
| Clears the text display and internal mapping.

## Signals
void | mouseMovedToPacket (int packet_num)
| Signal emitted when the mouse hovers over text belonging to a specific packet.
void | mouseClickedOnPacket (int packet_num)
| Signal emitted when text belonging to a specific packet is clicked.

## Public Member Functions
| FollowStreamText (QWidget *parent=0)
| Constructs a new FollowStreamText widget.
bool | isTruncated () const
| Checks if the displayed text was truncated due to length limits.
void | addText (QString text, bool is_from_server, uint32_t packet_num, bool colorize, bool marked)
| Adds a segment of text to the display.
void | addDeltaTime (double delta)
| Adds a delta time metadata string to the display.
int | currentPacket () const
| Retrieves the packet number corresponding to the current cursor position.

## Protected Member Functions
void | mouseMoveEvent (QMouseEvent *event) override
| Handles mouse move events to track packet selection.
void | mousePressEvent (QMouseEvent *event) override
| Handles mouse press events to select specific packets.
void | leaveEvent (QEvent *event) override
| Handles events when the mouse leaves the widget.

## Detailed Description

A custom plain text edit widget for displaying followed stream data.

## Constructor & Destructor Documentation

## ◆ FollowStreamText()

FollowStreamText::FollowStreamText | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new FollowStreamText widget.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ addDeltaTime()

void FollowStreamText::addDeltaTime | ( | double | delta | ) |

Adds a delta time metadata string to the display.

Parameters

  delta | The delta time value to add.

## ◆ addText()

void FollowStreamText::addText | ( | QString | text,
|  | bool | is_from_server,
|  | uint32_t | packet_num,
|  | bool | colorize,
|  | bool | marked )

Adds a segment of text to the display.

Parameters

  text | The text to add.
  is_from_server | True if the text came from the server, false if from the client.
  packet_num | The packet number associated with the text.
  colorize | True to apply directional colors to the text.
  marked | True if the text represents marked packets or specific metadata.

## ◆ currentPacket()

int FollowStreamText::currentPacket | ( |  | ) | const

Retrieves the packet number corresponding to the current cursor position.

Returns
  The packet number.

## ◆ isTruncated()

bool FollowStreamText::isTruncated | ( |  | ) | const
| inline

Checks if the displayed text was truncated due to length limits.

Returns
  True if the text is truncated, false otherwise.

## ◆ leaveEvent()

void FollowStreamText::leaveEvent | ( | QEvent * | event | ) |
| override protected

Handles events when the mouse leaves the widget.

Parameters

  event | The leave event.

## ◆ mouseClickedOnPacket

void FollowStreamText::mouseClickedOnPacket | ( | int | packet_num | ) |
| signal

Signal emitted when text belonging to a specific packet is clicked.

Parameters

  packet_num | The packet number that was clicked.

## ◆ mouseMovedToPacket

void FollowStreamText::mouseMovedToPacket | ( | int | packet_num | ) |
| signal

Signal emitted when the mouse hovers over text belonging to a specific packet.

Parameters

  packet_num | The packet number hovered over.

## ◆ mouseMoveEvent()

void FollowStreamText::mouseMoveEvent | ( | QMouseEvent * | event | ) |
| override protected

Handles mouse move events to track packet selection.

Parameters

  event | The mouse event.

## ◆ mousePressEvent()

void FollowStreamText::mousePressEvent | ( | QMouseEvent * | event | ) |
| override protected

Handles mouse press events to select specific packets.

Parameters

  event | The mouse event.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/follow_stream_text.h
- /builds/wireshark/wireshark/ui/qt/widgets/follow_stream_text.cpp